<?php

namespace Drupal\token_modifier\Plugin;

use Drupal\Core\Plugin\PluginBase;
use Drupal\Core\Utility\Token;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * The base class for all Token Modifier plugins.
 */
abstract class TokenModifierPluginBase extends PluginBase implements TokenModifierInterface {

  /**
   * @var \Drupal\Core\Utility\Token
   */
  protected $token;

  public function __construct(array $configuration, $plugin_id, $plugin_definition, Token $token) {
    parent::__construct($configuration, $plugin_id, $plugin_definition);
    $this->token = $token;
  }

  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    return new static($configuration, $plugin_id, $plugin_definition, $container->get('token'));
  }

}
