<?php

namespace Drupal\token_modifier\Plugin\token_modifier;

use Drupal\token_modifier\Plugin\TokenModifierPluginBase;

/**
 * Makes the first character of the token uppercase.
 *
 * @TokenModifier(
 *   id = "upper-case-first",
 *   name = @Translation("Upper case first"),
 *   description = @Translation("Makes the first character of the token upper case.")
 * )
 */
class UpperCaseFirst extends TokenModifierPluginBase {

  public function transform(string $text, array $data = [], array $options = []) {
    return ucfirst($this->token->replace($text, $data, $options));
  }

}
